org.keycloak.models

## Class UserModelDefaultMethods.Streams

- java.lang.Object
- - org.keycloak.models.UserModelDefaultMethods
  - - org.keycloak.models.UserModelDefaultMethods.Streams

- All Implemented Interfaces:
    RoleMapperModel, RoleMapperModel.Streams, UserModel, UserModel.Streams
  Direct Known Subclasses:
    InMemoryUserAdapter
  Enclosing class:
    UserModelDefaultMethods

      public abstract static class UserModelDefaultMethods.Streams
      extends UserModelDefaultMethods
      implements UserModel.Streams

  The `UserModelDefaultMethods.Streams` class extends the `UserModelDefaultMethods` abstract class and implements the `UserModel.Streams` interface, allowing subclasses to focus on the implementation of the `Stream`-based query methods and providing default implementations for the collections-based variants that delegate to their `Stream` counterparts.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.keycloak.models.UserModelDefaultMethods

      `UserModelDefaultMethods.Streams`

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserModel

      `UserModel.RequiredAction, UserModel.Streams, UserModel.UserRemovedEvent`

  - ### Field Summary

    - ### Fields inherited from interface org.keycloak.models.UserModel

      `COMPARE_BY_USERNAME, EMAIL, EMAIL_VERIFIED, ENABLED, EXACT, FIRST_NAME, GROUPS, IDP_ALIAS, IDP_USER_ID, INCLUDE_SERVICE_ACCOUNT, LAST_NAME, LOCALE, SEARCH, USERNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Streams()`

  - ### Method Summary

    - ### Methods inherited from class org.keycloak.models.UserModelDefaultMethods

      `getEmail, getFirstName, getLastName, setEmail, setFirstName, setLastName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.UserModel.Streams

      `getAttribute, getAttributeStream, getGroups, getGroupsStream, getRequiredActions, getRequiredActionsStream`

    - ### Methods inherited from interface org.keycloak.models.UserModel

      `addRequiredAction, addRequiredAction, getAttributes, getCreatedTimestamp, getEmail, getFederationLink, getFirstAttribute, getFirstName, getGroups, getGroups, getGroupsCount, getGroupsCountByNameContaining, getGroupsStream, getId, getLastName, getServiceAccountClientLink, getUsername, isEmailVerified, isEnabled, isMemberOf, joinGroup, leaveGroup, removeAttribute, removeRequiredAction, removeRequiredAction, setAttribute, setCreatedTimestamp, setEmail, setEmailVerified, setEnabled, setFederationLink, setFirstName, setLastName, setServiceAccountClientLink, setSingleAttribute, setUsername`

    - ### Methods inherited from interface org.keycloak.models.RoleMapperModel.Streams

      `getClientRoleMappings, getClientRoleMappingsStream, getRealmRoleMappings, getRealmRoleMappingsStream, getRoleMappings, getRoleMappingsStream`

    - ### Methods inherited from interface org.keycloak.models.RoleMapperModel

      `deleteRoleMapping, grantRole, hasRole`

- - ### Constructor Detail

    - #### Streams

          public Streams()

Copyright © 2020 JBoss by Red Hat. All rights reserved.